# Class TCefUrlRequestRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFUrlRequest

## Declaration

`type TCefUrlRequestRef = class(TCefBaseRefCountedRef, ICefUrlRequest)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefUrlRequestRef

## Overview

### Methods

| `function GetRequest: ICefRequest;`
| `function GetClient: ICefUrlrequestClient;`
| `function GetRequestStatus: TCefUrlRequestStatus;`
| `function GetRequestError: Integer;`
| `function GetResponse: ICefResponse;`
| `function GetResponseWasCached: boolean;`
| `procedure Cancel;`
| `class function UnWrap(data: Pointer): ICefUrlRequest;`
| `class function New(const request: ICefRequest; const client: ICefUrlRequestClient; const requestContext: ICefRequestContext): ICefUrlRequest;`

## Description

### Methods

| `function GetRequest: ICefRequest;`
This item has no description. Showing description inherited from ICefUrlRequest.GetRequest. Returns the request object used to create this URL request. The returned object is read-only and should not be modified.

| `function GetClient: ICefUrlrequestClient;`
This item has no description. Showing description inherited from ICefUrlRequest.GetClient. Returns the client.

| `function GetRequestStatus: TCefUrlRequestStatus;`
This item has no description. Showing description inherited from ICefUrlRequest.GetRequestStatus. Returns the request status.

| `function GetRequestError: Integer;`
This item has no description. Showing description inherited from ICefUrlRequest.GetRequestError. Returns the request error if status is UR_CANCELED or UR_FAILED, or 0 otherwise.

| `function GetResponse: ICefResponse;`
This item has no description. Showing description inherited from ICefUrlRequest.GetResponse. Returns the response, or NULL if no response information is available. Response information will only be available after the upload has completed. The returned object is read-only and should not be modified.

| `function GetResponseWasCached: boolean;`
This item has no description. Showing description inherited from ICefUrlRequest.GetResponseWasCached. Returns true (1) if the response body was served from the cache. This includes responses for which revalidation was required.

| `procedure Cancel;`
This item has no description. Showing description inherited from ICefUrlRequest.Cancel. Cancel the request.

| `class function UnWrap(data: Pointer): ICefUrlRequest;`
This item has no description.

| `class function New(const request: ICefRequest; const client: ICefUrlRequestClient; const requestContext: ICefRequestContext): ICefUrlRequest;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.